Subject: bug#28630: 27.0.50; C-g while a non-main thread is sitting crashes Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Oct 2017 21:32:22 +0300

> From: Alex <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 01 Oct 2017 12:10:40 -0600
> 
> >> Should this be labelled a blocker for Emacs 26?
> >
> > Maybe I'm not sure.  It doesn't sound like threads are used much, if
> > at all, which would make blocking on it silly.
> 
> It's understandable that bug 25214 isn't a blocker for this reason, but
> I think crashing is severe enough to be a blocker, especially since it's
> somewhat trivial to trigger.

If this trigger never happens in real life, why should we block on it?

More generally, if no one besides my sorry self is interested in using
this feature, let alone fixing its bugs, maybe we should simply remove
it from Emacs.

> > Is your Emacs built with --enable-checking?  Because I get an
> > assertion violation in that case, not a crash.
> 
> I just tried building with "./configure --enable-checking" and it still
> crashes for me.

Strange, that's not what I see.

I hope to have some time soon to look into this.  I think I understand
the root cause: we are longjmp-ing in a thread other than the one
which called setjmp.